GAVF-ENCODE(1)

NAME
gavf-encode - Gavf stream encoder

SYNOPSIS
gavf-encode [options]

DESCRIPTION
gavf encoder

OPTIONS

-i <input_file>

    Input file or location

-iopt param1=val1[&param2=val2...]

    dh=[1|0] (default: 0)

    Dump gavf headers

    Use this for debugging

    dp=[1|0] (default: 0)

    Dump gavf packets

    Use this for debugging

    dm=[1|0] (default: 0)

    Dump inline metadata

    Use this for debugging

    to=<number> (500..100000, default: 5000)

    Timeout (milliseconds)

    nomsg=[1|0] (default: 0)

    No messages

    Don't attempt to make a back-channel for messages. Forward messages might still be sent.

-as <stream_selector>

    Comma separated list of characters 'd' (decode), 'm' (mute) or 'c' (read compressed)

-vs <stream_selector>

    Comma separated list of characters 'd' (decode), 'm' (mute) or 'c' (read compressed)

-ts <stream_selector>

    Comma separated list of characters 'm' (mute) or 'c' (read)

-os <stream_selector>

    Comma separated list of characters 'd' (decode), 'm' (mute) or 'c' (read compressed)

-enc param1=val1[&param2=val2...]

    Encoding options
    ae=option[{suboptions}]

    Supported options: $to_video

    Default: (null)

    Audio

    te=option[{suboptions}]

    Supported options: $to_video

    Default: (null)

    Text subtitles

    oe=option[{suboptions}]

    Supported options: $to_video e_ovl2text

    Default: e_ovl2text

    Overlay subtitles

    Suboptions for oe=e_ovl2text

        background_color=<r>,<g>,<b> (default: 0.000,0.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Background color

        Background color to use, when converting formats with transparency to grayscale

        tmpdir=<string> (Default: /tmp)

        Temporary directory

        Temporary directory for image files

        plugin=option[{suboptions}]

        Supported options:

        Default: (null)

        Plugin

        Plugin for writing the text subtitles

    ve=option[{suboptions}]

    Supported options:

    Default: (null)

    Video

-ac <options>

    Audio compression options

-vc <options>

    Video compression options

-tc <options>

    Text compression options

-oc <options>

    Overlay compression options

-o <output>

    Output file (without extension) or location

GENERIC OPTIONS
The following generic options are available for all gmerlin applications

-help

    Print this help message and exit

-help-man

    Print this help message as a manual page and exit

-help-texi

    Print this help message in texinfo format and exit

-version

    Print version info and exit

-v level

    Set verbosity level (0..4)

-syslog name

    Log to syslog the specified name

-stderr

    Always log to stderr

FILES
~/.gmerlin/plugins.xml

    Cache of the plugin registry (shared by all applications)

~/.gmerlin/generic/cfg.xml

    Default plugin parameters are read from there. Use gmerlin_plugincfg to change them.